<template>
    <div class="container">
        <transition name="fade">
            <div class="badge"
                 :style="{backgroundColor: color}"
                 v-if="counter>0">{{counter}}</div>
        </transition>
        <slot class="slotPos"></slot>
    </div>
</template>

<script>
    export default {
      name: 'Badge',
      props: {
        color: {
          type: String
        },
        counter: {
          type: Number
        }
      }
    }

</script>

<style scoped>
    .container {
        position: relative;
        width: auto !important;
    }
    .badge {
        position: absolute;
        width: 20px;
        height: 20px;
        right: 10px;
        top: -10px;
        border-radius: 10px;
        font-size: 12px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .fade-enter-active {
        animation: fade-in .3s ease-out forwards;
        transition: opacity .3s;
    }
    .fade-leave-active {
        animation: fade-out .3s ease-out forwards;
        transition: opacity .3s;

    }
    .fade-enter {
        opacity: 0;
        transform: scale(0, 0);
    }
    .fade-leave {
    }

    @keyframes fade-in {
        0% {
            opacity: 0;
            transform: scale(0, 0);
        }
        70% {
            transform: scale(1.2, 1.2);
        }
        100% {
            transform: scale(1, 1);
        }
    }

    @keyframes fade-out {
        from {
            transform: scale(1, 1);
        }
        to {
            opacity: 0;
            transform: scale(0, 0);
        }
    }
</style>